Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgGA::CompositeGUIEventHandler Class Reference

CompositeGUIEventHandler allows GUIEventHandlers to be composed into hierarchies. More...

Inheritance diagram for osgGA::CompositeGUIEventHandler:

[legend]
List of all members.

## Public Types
typedef std::vector< osg::ref_ptr< GUIEventHandler > > | ChildList
## Public Member Functions
virtual const char * | className () const
| return the name of the object's class type.
virtual const CompositeGUIEventHandler * | getComposite () const
| Returns 0 if this GUIEventHandler is not a CompositeGUIEventHandler.
virtual CompositeGUIEventHandler * | getComposite ()
| Returns 0 if this GUIEventHandler is not a CompositeGUIEventHandler.
virtual bool | handle (const GUIEventAdapter &ea, GUIActionAdapter &aa, osg::Object *object, osg::NodeVisitor *nv)
| Handle events, return true if handled, false otherwise.
virtual void | accept (GUIEventHandlerVisitor &v)
| Accept visits from GUIEventHandler visitors.
virtual void | getUsage (osg::ApplicationUsage &usage) const
| Get the keyboard and mouse usage of this manipulator.
virtual bool | addChild (GUIEventHandler *geh)
virtual bool | removeChild (GUIEventHandler *geh)
unsigned int | getNumChildren () const
GUIEventHandler * | getChild (unsigned int i)
const GUIEventHandler * | getChild (unsigned int i) const
bool | containsNode (const GUIEventHandler *node) const
ChildList::iterator | findChild (const GUIEventHandler *node)

## Detailed Description

CompositeGUIEventHandler allows GUIEventHandlers to be composed into hierarchies.

## Member Typedef Documentation

typedef std::vector< osg::ref_ptr<GUIEventHandler> > osgGA::CompositeGUIEventHandler::ChildList

## Member Function Documentation

virtual void osgGA::CompositeGUIEventHandler::accept | ( | GUIEventHandlerVisitor & | v | ) | `[inline, virtual]`

| Accept visits from GUIEventHandler visitors. Reimplemented from osgGA::GUIEventHandler.

virtual bool osgGA::CompositeGUIEventHandler::addChild | ( | GUIEventHandler * | geh | ) | `[virtual]`

virtual const char* osgGA::CompositeGUIEventHandler::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Implements osg::Object.

bool osgGA::CompositeGUIEventHandler::containsNode | ( | const GUIEventHandler * | node | ) | const`[inline]`

ChildList::iterator osgGA::CompositeGUIEventHandler::findChild | ( | const GUIEventHandler * | node | ) | `[inline]`

const GUIEventHandler* osgGA::CompositeGUIEventHandler::getChild | ( | unsigned int | i | ) | const`[inline]`

GUIEventHandler* osgGA::CompositeGUIEventHandler::getChild | ( | unsigned int | i | ) | `[inline]`

virtual CompositeGUIEventHandler* osgGA::CompositeGUIEventHandler::getComposite | ( |  | ) | `[inline, virtual]`

| Returns 0 if this GUIEventHandler is not a CompositeGUIEventHandler. Reimplemented from osgGA::GUIEventHandler.

virtual const CompositeGUIEventHandler* osgGA::CompositeGUIEventHandler::getComposite | ( |  | ) | const`[inline, virtual]`

| Returns 0 if this GUIEventHandler is not a CompositeGUIEventHandler. Reimplemented from osgGA::GUIEventHandler.

unsigned int osgGA::CompositeGUIEventHandler::getNumChildren | ( |  | ) | const`[inline]`

virtual void osgGA::CompositeGUIEventHandler::getUsage | ( | osg::ApplicationUsage & | usage | ) | const`[virtual]`

| Get the keyboard and mouse usage of this manipulator. Reimplemented from osgGA::GUIEventHandler.

virtual bool osgGA::CompositeGUIEventHandler::handle | ( | const GUIEventAdapter & | ea,
|  | GUIActionAdapter & | aa,
|  | osg::Object * | object,
|  | osg::NodeVisitor * | nv
| ) | `[virtual]`

| Handle events, return true if handled, false otherwise. Reimplemented from osgGA::GUIEventHandler.

virtual bool osgGA::CompositeGUIEventHandler::removeChild | ( | GUIEventHandler * | geh | ) | `[virtual]`

The documentation for this class was generated from the following file:

- GUIEventHandler